## hg-buildpackage 1.0.4.0

=== docs/SConstruct ===
# Copyright (C) 2004 John Goerzen <jgoerzen@complete.org>
# arch-tag: primary build for docs
# <jgoerzen@complete.org>
#
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA

env = Environment()
env.Export("env")
env.Append(MASTERBASE = 'hg', TOPNODE = 'hg', DOINDEX = 1,
        HTMLARGS = '-s local', PDFARGS = '-s local=printlocal')

execfile('sgml-common/SConstruct')

manpages = []
for manpage in ['hg-buildpackage', 'hg-importorig',
                'hg-importdsc', 'hg-markdeb']:
    manpages.append(env.MAN('%s.1' % manpage, 'man.%s.sgml' % manpage))
env.Alias('manpages', manpages)

## hg-buildpackage 1.0.2

=== debian/changelog ===
hg-buildpackage (1.0.2) unstable; urgency=low

  * Now handle epochs in version numbers
  * Support -s for imports

 -- John Goerzen <jgoerzen@complete.org>  Mon, 12 Mar 2007 06:41:50 -0500

hg-buildpackage (1.0.1) unstable; urgency=low

  * Rewritten using Haskell and HSH.  20% savings in SLOC and greater safety.

 -- John Goerzen <jgoerzen@complete.org>  Sat,  3 Mar 2007 08:10:00 -0600

hg-buildpackage (1.0.0) unstable; urgency=low

  * Initial release.  Closes: #412724.

 -- John Goerzen <jgoerzen@complete.org>  Thu, 22 Feb 2007 05:19:42 -0600

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: hg-buildpackage
Section: devel
Priority: optional
Maintainer: John Goerzen <jgoerzen@complete.org>
Build-Depends: debhelper (>= 4.1.80), gtk-doc-tools, sgml2x, docbook-utils, jade, scons, xpdf-utils, lynx, ghc6 (>= 6.6), libghc6-unix-dev, libghc6-hslogger-dev, libghc6-missingh-dev (>= 0.18.0), libghc6-hsh-dev (>= 1.2.0)
Standards-Version: 3.6.0

Package: hg-buildpackage
Architecture: any
Depends: dctrl-tools, mercurial (>= 0.9.3), hg-load-dirs (>= 1.1.4), dpkg-dev, devscripts, ${shlibs:Depends}
Description: Suite to help with Debian packages in Mercurial archives
 This package helps automate and ease the task of maintaining Debian
 packages by helping you, the Debian developer, take advantage of
 the unique features in Mercurial. The programs included are:
 .
 hg-importdsc: Import an upstream version and a Debian version from
 a Debian source package, automatically detecting package and version
 information from the .dsc.
 .
 hg-importorig: Import an upstream tar.gz or directory.
 .
 hg-markdeb: Mark a working copy for future reference.
 .
 hg-buildpackage: Builds a Debian package based on information in
 the repository, checking out upstream versions as necessary.

## hg-buildpackage 1.0.4.0

=== debian/changelog ===
hg-buildpackage (1.0.4.0) unstable; urgency=low

  * Update for GHC 6.8 and newer MissingH and HSH.

 -- John Goerzen <jgoerzen@complete.org>  Wed, 16 Jan 2008 09:59:13 -0600

hg-buildpackage (1.0.3) unstable; urgency=medium

  * Update to fix an incompatibility with Mercurial 0.9.4.

 -- John Goerzen <jgoerzen@complete.org>  Fri, 24 Aug 2007 06:00:25 -0500

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Section: devel
 Priority: optional
 Maintainer: John Goerzen <jgoerzen@complete.org>
-Build-Depends: debhelper (>= 4.1.80), gtk-doc-tools, sgml2x, docbook-utils, jade, scons, xpdf-utils, lynx, ghc6 (>= 6.6), libghc6-unix-dev, libghc6-hslogger-dev, libghc6-missingh-dev (>= 0.18.0), libghc6-hsh-dev (>= 1.2.0)
+Build-Depends: debhelper (>= 4.1.80), gtk-doc-tools, sgml2x, docbook-utils, jade, scons, xpdf-utils, lynx, ghc6 (>= 6.8.2), libghc6-unix-dev, libghc6-hslogger-dev, libghc6-missingh-dev (>= 1.0.0), libghc6-hsh-dev (>= 1.2.5)
 Standards-Version: 3.6.0
 
 Package: hg-buildpackage
 Architecture: any
-Depends: dctrl-tools, mercurial (>= 0.9.3), hg-load-dirs (>= 1.1.4), dpkg-dev, devscripts, ${shlibs:Depends}
+Depends: dctrl-tools, mercurial (>= 0.9.4), hg-load-dirs (>= 1.1.4), dpkg-dev, devscripts, ${shlibs:Depends}
 Description: Suite to help with Debian packages in Mercurial archives
  This package helps automate and ease the task of maintaining Debian
  packages by helping you, the Debian developer, take advantage of

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

PACKAGE=hg-buildpackage

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	#touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#/usr/bin/docbook-to-man debian/tla-buildpackage.sgml > tla-buildpackage.1
	cd docs && scons ps html
	cd docs && scons manpages
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean
	-rm -rf dist
	-cd docs; scons -c .
	-cd docs; rm -r `find . -name .sconsign` manpage.links manpage.refs

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/tla-buildpackage.
	#$(MAKE) install DESTDIR=$(CURDIR)/debian/tla-buildpackage
	./setup copy --copy-prefix=`pwd`/debian/$(PACKAGE)/usr
	mv debian/$(PACKAGE)/usr/bin/hgmerge-debupstream \
		debian/$(PACKAGE)/usr/lib/$(PACKAGE)/

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs #ChangeLog
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman docs/*.1
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## hg-buildpackage 1.0.4.1

=== Makefile ===
# Copyright (C) 2005 John Goerzen <jgoerzen@complete.org>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

all: setup			# GHC build
	./setup configure
	./setup build

hugsbuild: setup
	./setup configure --hugs
	./setup build

setup: Setup.lhs hg-buildpackage.cabal
	ghc -package Cabal Setup.lhs -o setup

clean:
	-./setup clean
	-rm -rf dist *.ho *.hi *.o *.a setup *~

=== debian/changelog ===
hg-buildpackage (1.0.4.1) unstable; urgency=low

  * Orphaning hg-buildpackage.

 -- John Goerzen <jgoerzen@complete.org>  Fri, 29 Feb 2008 02:21:58 -0600

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: hg-buildpackage
 Section: devel
 Priority: optional
-Maintainer: John Goerzen <jgoerzen@complete.org>
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends: debhelper (>= 4.1.80), gtk-doc-tools, sgml2x, docbook-utils, jade, scons, xpdf-utils, lynx, ghc6 (>= 6.8.2), libghc6-unix-dev, libghc6-hslogger-dev, libghc6-missingh-dev (>= 1.0.0), libghc6-hsh-dev (>= 1.2.5)
 Standards-Version: 3.6.0
